#!/bin/bash

#
# wephoto installer by hamstiglue
#
# install pmaler's wephoto on the wetab:
#
# install-wephoto.sh [-u]
#
# * -u   uninstalls wephoto
#

if [ $UID -gt 0 ] ; then
  echo "please run as root"
  exit 1;
fi

if [ $UID -gt 0 ] ; then
  USERNAME=$USER
else
  source /var/tiitoo/registration/device_registered
fi

UNINSTALL=0

while [ -n "$1" ] ; do
  if [ "$1" == "-u" ] ; then
    UNINSTALL=1
  fi
  shift
done

OPTPATH=/opt/wephoto
BINPATH=$OPTPATH/bin
WEPHOTO=$BINPATH/wephoto
APPPATH=/home/$USERNAME/.appdata/tiitoo-pinnwand/tiitoo-localbookmarks
APPLAUNCHER="$(grep -l $WEPHOTO $APPPATH/applauncher-*.desktop 2>/dev/null | head -n 1)"

if [ $UNINSTALL -gt 0 ] ; then

  rm -rf $OPTPATH
  if [ -n "$APPLAUNCHER" ] ; then
    APPLAUNCHER="$(basename $APPLAUNCHER .desktop)"
    rm -f $APPPATH/$APPLAUNCHER.*
    killall tiitoo-pinnwand
  fi

else

  if [ -e wephoto ] ; then
    mkdir -p $BINPATH/icons
    mkdir -p $BINPATH/images
    cp -ap wephoto icons $BINPATH
    cp -ap wephoto images $BINPATH
    chown -R root.root $BINPATH
    chmod -R 755 $BINPATH
  else
    echo "missing wephoto"
    exit 1;
  fi
  
  if [ -e wephoto.png ] ; then
    if [ -z "$APPLAUNCHER" ] ; then
      su - $USERNAME -c "dbus-send --session --type=method_call --dest=com.tiitoo.Pinnwand /com/tiitoo/Pinnwand com.tiitoo.Pinnwand.CreateAppLauncher string: string: string:$WEPHOTO string: string:$(pwd)/wephoto.png"
    fi
  else
    echo "missing wephoto.png"
    exit 1;
  fi
  
fi
